commit 292d4ff8f63f0a611958a6e37cbf6545ba86fa63
Author: Kyrylo Tkachov <kyrylo.tkachov@arm.com>
Date:   Fri Sep 25 17:32:43 2020 +0100

    AArch64: Add Linux cpuinfo string for rng feature
    
    The Linux kernel has defined the cpuinfo string for the +rng feature, so
    this patch adds that to GCC so that -march=native can pick it up.
    Bootstrapped and tested on aarch64-none-linux-gnu.
    
    gcc/
            * config/aarch64/aarch64-option-extensions.def (rng): Add
            cpuinfo string.
    
    (cherry picked from commit 0d8f3f612d662ea3007c184a11ea5eb7d58760e7)
    (cherry picked from commit 05c3a208a19af25fbfd5c7cad8be12e23bf84cfa)

diff --git a/gcc/config/aarch64/aarch64-option-extensions.def b/gcc/config/aarch64/aarch64-option-extensions.def
index bfd9245c595..29e282b714a 100644
--- a/gcc/config/aarch64/aarch64-option-extensions.def
+++ b/gcc/config/aarch64/aarch64-option-extensions.def
@@ -115,6 +115,6 @@ AARCH64_OPT_EXTENSION("fp16fml", AARCH64_FL_F16FML, AARCH64_FL_FP | AARCH64_FL_F
 AARCH64_OPT_EXTENSION("sve", AARCH64_FL_SVE, AARCH64_FL_FP | AARCH64_FL_SIMD | AARCH64_FL_F16, 0, false, "sve")
 
 /* Enabling/Disabling "rng" only changes "rng".  */
-AARCH64_OPT_EXTENSION("rng", AARCH64_FL_RNG, 0, 0, false, "")
+AARCH64_OPT_EXTENSION("rng", AARCH64_FL_RNG, 0, 0, false, "rng")
 
 #undef AARCH64_OPT_EXTENSION

